Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7232 - SMP kernel/module symbol data is missing from kernel-headers
Summary: SMP kernel/module symbol data is missing from kernel-headers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-22 19:03 UTC by Erik Ratcliffe
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-06 05:48:12 UTC


Attachments (Terms of Use)

Description Erik Ratcliffe 1999-11-22 19:03:27 UTC
By default, RH6 installs a kernel-headers RPM package that contains kernel
and module symbol information for non-SMP kernels.  If a user installs an
SMP kernel that ships with RH6, modules can not compile and load against
the SMP kernel because the symbol information compiled within the module
does not match the exported kernel symbol data.

Rebuilding the SMP kernel from scratch (i.e. starting with 'make mrproper')
creates the correct data in /usr/src/linux/include/linux/modules, which
then enables modules to compile and load against the SMP kernel.  It would
probably be better to include either another kernel-headers RPM package for
the SMP kernel, or add SMP symbol data to the main kernel-headers package
(like what seems to have happened with RH6.1).

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Bill Nottingham 2000-02-06 05:48:59 UTC
Fixed in 6.1


Note You need to log in before you can comment on or make changes to this bug.